Subject: Re: git push <branch-name>

From: Michael J Gruber <[email-masked]>
Date: Thu, 07 Oct 2010 12:50:11 +0200

Eric Raible venit, vidit, dixit 06.10.2010 02:52:
> On Tue, Oct 5, 2010 at 3:35 PM, Sverre Rabbelier <[email-masked]> wrote:
>> Since it is such a simple command expansion, why not create an alias
>> that does just that?
> 
> Because I don't want an alias, I want to extend git-push.
> 
> According to the man page, "git push"
> 
> "Works like git push <remote>, where <remote> is the current branch's remote
>  (or origin, if no remote is configured for the current branch)."
> 
> What I'm advocating is that "git push <branch>" would be described with:
> 
> "Works like git push <remote> <branch>, where <remote> is the <branch>'s remote
>  (or origin, if no remote is configured for <branch>)."

Now, if I have a remote foo and a branch foo, what is

git push foo

supposed to do?

Michael